Overview of DCMC

The Data Center Management Console (DCMC) is designed as a snap-in for the Microsoft Management Console (MMC). The DCMC enables system administrators to perform a variety of tasks necessary to monitor and control Data Center operations. It also includes support for the Hierarchical Storage Manager (HSM) and tape library components of the Data Center.

The following topics should help you get started with the DCMC:

  • For an explanation of this help system's features, refer to About DCMC Help.

  • For background information on DCMC features, refer to DCMC features.

  • For general descriptions of different DCMC components, refer to the following overview topics:

  • DCMC interface

  • Data Centers

  • BackupServer service

  • BackupHSM service

  • Tape management

  • Compactor service

  • Events

  • Note

  • You should be familiar with the MMC to work with the DCMC.


DCMC features

The Data Center Management Console (DCMC) enables you to perform a variety of tasks necessary to monitor and control Data Center operations, including managing the backup server, backup Hierarchical Management System (HSM), and the Compactor.

The following table provides a quick view at the main features available in the DCMC:

Feature

Description

View the general status of all servers on the Data Center.

When you select your Data Center from the console tree, the general status of services on all server(s) for that Data Center appears in the details pane.

View detailed status information for specific services on each server.

When you select a service under a Data Center server from the console tree, specific information for that service appears in the details pane.

Start, stop, and pause services.

Start, stop, and pause a selected Data Center service through the Action menu, the toolbar, or the pop-up context menu.

Check and modify the tape drive operation status.

Monitor and modify the status of the HSM tape drives.

View and modify HSM parameters.

View and modify HSM parameters such as migration start, purge start, and purge stop.

Monitor HSM current requests.

Monitor the status of the HSM pending requests coming from each account. This includes information about the following:

  • The account from which the request originated

  • The type of the request

  • Total size and number of requests for a particular account

  • The number and size of pending tape operations

Monitor the HSM operation queue.

Monitor the entire work queue on a particular Backup HSM server. This includes information about the following:

  • Retrieval and migration requests waiting to be processed

  • The number, type, and size of the requests

  • The tapes involved in a particular request

  • Whether or not the requested tape is in the library

  • The priority of each request

Monitor the HSM drive status.

View the status of the HSM tape drives, including information about ongoing tape operations (for example, whether the tape is mounting or unmounting) and if a drive is online or offline. You can use this information to troubleshoot drive and tape-related problems.

Manage tapes in the tape library.

Monitor tape usage and remaining storage capacity, detect and replace problem tapes, and perform a variety of tape-related operations, such as tape insertion and extraction, labeling and recycling, and loading and unloading.

Run compaction.

Run the Compactor service and monitor the status of compaction.

View event logs and run the Microsoft Event Viewer.

You can view event logs for Data Center operations from within the DCMC. You can also run the Microsoft Event Viewer for a selected Data Center or HSM server and check the status of the selected server, as well as the status of each active data service session and the queue of requests for HSM. This information is typically used for problem diagnosis.


Related Documentation

Related DCMC documentation

For information regarding installation and operation of the Data Center Management Console (DCMC), as well as other Data Center components, refer to the Data Center Manual, which accompanies your Connected software.

For information on Data Center maintenance procedures and related information, visit the Connected Resource Center at resourcecenter.connected.com.


Bar code label

A bar code label is the label on the exterior of a tape cartridge to be read by a bar code reader, if available.


Bar code reader

A bar code reader is a device that automatically identifies tapes in the tape library.


Blank tape

A blank tape contains no data and is not allocated to any server.


Clustered Data Center

A clustered Data Center contains multiple pairs of Data Centers connected together, allowing for more disk space and greater resources when many users back up to the Data Center.


Compaction

Compaction is a process that "compacts" data on tape to remove expired archives and make more efficient use of tape storage space. It recovers disk and tape space occupied by deleted files. Compaction runs daily on a Data Center with or without a tape library.


Expired data

Expired data is data that is older than the expiration parameters and therefore is eligible for deletion.


Hierarchical Storage Manager (HSM)

The Hierarchical Storage Manager (HSM) is a Data Center component that migrates data from disk to a tape in the tape library, retrieves the data from the library when requested, and places the data back to disk for retrieval.


HSM client software

The Hierarchical Storage Manager (HSM) client software is a client program that serves as a liaison between the Backup Server and the Backup HSM.


HSM DataCopier

The Hierarchical Storage Manager (HSM) DataCopier copies data from the tape to the server disk cache. The process of moving data from the tape back to disk is called reverse migration.


HSM server

The Hierarchical Storage Manager (HSM) server is software that runs at the Data Center and handles all tape operations.


Microsoft Management Console (MMC)

The Microsoft Management Console (MMC) is a framework for hosting a variety of administration tools.


Migration

Migration is the process of copying customer archive sets from disk to the HSM tape device.


MigrationStart

MigrationStart is the remaining disk space before archive sets are migrated to tape.


Mirrored Data Center

A mirrored Data Center has two identical data centers located at separate sites. It is used for maximum protection against loss of backed-up data.


Primary migration set

The primary migration set is a set of migration tapes that is permanently stored in the library.


Purging

Purging is the process of deleting migrated data from the Data Center disk in order to increase disk space.


PurgeStart

PurgeStart is the remaining disk space before migrated files are removed from disk.


PurgeStop

PurgeStop is the level of free disk space at which purging will stop.


Retrieval

Retrieval is the act of obtaining one or more backed-up files from the Data Center.


Reverse migration

Reverse migration is the process of copying previously migrated users' data from tape(s) back to the Data Center disk cache.


Secondary migration set

A secondary migration set is a set of backup tapes that can be removed from the library for off-site storage.


SendOnce

SendOnce™ is Connected technology that enables the user to optimize backup transmission size by excluding files that are already backed up on the Data Center. Since such files (which are typically application files) are already backed up on the Data Center, subsequent backups by any user can exclude the identical files.


Snap-in (for MMC)

An Microsoft Management Console (MMC) snap-in is a software component compliant with MMC specification. It can be integrated into the MMC framework.


Standalone Data Center

A standalone Data Center has a backup server that has no mirror.


Tape library

A tape library is a Hierarchical Storage Manager (HSM) device used for long-term storage of archive sets.


Tape set

A tape set is a group of backup tapes that, together, contain all the data for a given Data Center.


Starting DCMC

To start DCMC

  • If you are working on a Data Center server, click Start, point to Programs, point to Data Center, and then click Data Center Management Console.

  • If you are working on a remote computer that has the Data Center Toolkit installed: Click Start, point to Programs, point to Data Center Toolkit, and then click Data Center Management Console.

  • Note

  • When the DCMC opens, you may or may not have a Data Center listed in the console tree (depending on your DCMC setup). If you do not have a Data Center listed, refer to How to add a data center for instructions on adding one.


DCMC interface

The Data Center Management Console supports and enhances all of the standard Microsoft Management Console (MMC) functions and interface elements. Together with the MMC, it provides an intuitive user interface that enables an operator to administer various Data Center components quickly and easily.

The DCMC interface includes:

  • The console tree, including DCMC-specific icons to make visualizing DCMC components easy

  • The details pane, which provides information based on your selection in the console tree

  • Menus and toolbars (including context pop-up menus), with DCMC-specific commands


DCMC properties

You can update Data Center Management Console (DCMC) properties on the Data Center Management Console Properties tab in the TLM Data Centers Properties window, which you can access by right-clicking TLM Data Centers in the console tree and then clicking Properties on the pop-up menu. When you access this window and tab, you can edit refresh settings and startup settings.

Refresh settings

The Data Center Management Console Properties tab contains a Refresh Settings section, which contains the following property controls:

  • Refresh data views when selected check box. Select this check box to enable you to manually refresh a specific view within the details pane by clicking that node in the console tree.

  • Automatically refresh data views check box. Select this check box to have the DCMC automatically refresh general data about your Data Center. When you select this check box, the DCMC refreshes the data at the interval you specify in the Seconds between each refresh check box, which is discussed as follows:

  • Seconds between each refresh box. Type or select the number of seconds you want to elapse between each data view refresh. This box is only enabled when you select the Automatically refresh data views check box.

  • Automatically refresh service status check box. Select this check box to have the DCMC automatically refresh statuses for the services on your Data Center. When you select this check box, the DCMC refreshes the statuses at the interval you specify in the Seconds between each refresh check box, which is discussed as follows:

  • Seconds between each refresh box. Type or select the number of seconds you want to elapse between each data view refresh. This box is only enabled when you select the Automatically refresh data views check box.

Startup settings

The Data Center Management Console Properties tab contains a Startup Settings section. This section contains the Open the console tree to the last active node check box, which you can select to have the DCMC open at the same node that you had active when you last used the DCMC.


Console tree

The Data Center Management Console (DCMC) console tree (the left pane of the window) contains a view of all of the components of your Data Center, as shown in the following illustration:

The console tree uses icons to represent each of the Data Center components. These icons are organized hierarchically to make it easy for you to locate the components you need: servers are listed under the Data Center to which they belong, and services and components are listed under the server to which they are attached.

If a service or component contains subcomponents, a plus sign appears to the left of the component's icon. To view the subcomponents of a given component, expand it by clicking the plus sign or double-clicking the component name.

The details pane displays information pertaining to the selection in the console tree.

  • Notes

  • Not all items in the console tree can be expanded. If the plus sign does not appear to the left of the item icon, then you may not be able to expand it. These unexpandable items are referred to as leaf nodes.

  • When the DCMC opens, you may or may not have a Data Center listed in the console tree (depending on your DCMC setup). If you do not have a Data Center listed, refer to How to add a data center for further instructions.


Details pane

The details pane displays specific information on the item you select in the console tree. For example, if you select a Data Center in the console tree, the details pane shows the statuses and other information about all of the services running on the servers connected to that Data Center.

The details pane is shown in the following illustration:

You can set the DCMC to automatically refresh the view of the details pane at set intervals. By default, the service statuses in the DCMC are set to refresh every five minutes. You can also manually refresh the view of the details pane if you do not want to use the automatic refresh feature.

  • Note

  • Different topics in this help system provide more information on the exact contents of the detail pane for each specific component selected in the console tree.


Menus and toolbars

You access Data Center Management Console (DCMC) functions and properties through toolbars and menus. The DCMC menus contain the console's commands as well as other DCMC functions. The menus appear in three forms:

  • The Microsoft Management Console (MMC) menu bar includes the Console, Window, and Help menus. These menus are standard to MMC.

  • The DCMC snap-in menu bar includes the Action and View menus. These menus provide access to DCMC functions as well as display options for the console tree and details pane.

  • A context pop-up menu appears when you right-click items in the console tree and details pane. This menu enables you to modify the selected item's properties or to run a command that is relevant to the selected item.

The DCMC contains snap-in toolbars to augment the MMC toolbar. Together, the toolbars provide quick and easy access to console functionality and DCMC commands, which you could otherwise access through menus. The DCMC also has a description bar, which displays the name of the current view along with the time the view was last refreshed.


Commands

The Data Center Management Console (DCMC) supports commands to customize the Microsoft Management Console (MMC) user interface and to trigger actions that pertain only to the DCMC. These commands are available through the DCMC and MMC toolbars, the Action menu, and context pop-up menus.

Common commands

The following common commands are not DCMC-specific and apply to most MMC snap-ins:

Properties. Use this command to access or modify the selected item's property. This command is available only when a selected item represents a registry parameter.

Refresh. Use this command, or press the F5 key on your keyboard, to manually refresh the DCMC view and ensure that the content of the view is current. DCMC also allows you to set the views to refresh automatically.

Export List. Use this command to save the information listed in the details pane to a text file.

Help. Use this command to invoke DCMC Help. While this command is common to most MMC snap-ins, the DCMC Help contains topics that are specific to the DCMC.

Data Center commands

Use the following commands to add and remove Data Centers to the DCMC:

  • Add Data Center. Use this command to add a Data Center to the console tree. This command is available when either TLM Data Centers or Standalone Data Centers is selected in the console tree. It is not available from the toolbar.

  • Remove Data Center. Use this command to remove a Data Center from the console tree. This command is available when you select a Data Center that is currently listed in the console tree. It is not available from the toolbar.

Service control commands

Use the following commands to start, pause, and stop services:

Start Service. Use this command to start the selected service. The command is not available if the selected service is already running.

Start All Services. Use this command to start all services for the selected server. The command is available if one or more services are not already running. If a service is already running, it continues to run when you run this command.

Pause Service. Use this command to pause the selected service. When you pause a service, the server only completes outstanding requests and rejects any new requests. While a service is paused, the command button appears pressed. Simply click the pause button again to resume a paused service.

Stop Service. Use this command to completely stop all services for the selected server. When you stop a service, the server drops any outstanding requests. The command is available only if the selected service is currently running or paused.

Stop All Services. Use this command to completely stop all services. The command is available if one or more services are currently running or paused. If a service is already stopped, it remains stopped when you run this command.

HSM commands

The following commands are specifically for Hierarchical Storage Manager (HSM) tasks:

Online. Use this command to have the HSM server set the selected tape drive online and make usable. Use the refresh command upon completion of this operation. The command is not available if the selected tape drive is already online.

Offline. Use this command to have the HSM server set the selected tape drive offline and make it unusable. Use the refresh command upon completion of this operation. The command is not available if the selected tape drive is already offline.

Cancel HSM Request. Use this command to cancel any outstanding HSM requests. The command is available only when you select a request in the Current Requests view.

Audit Library. Use this command to audit the contents of the selected tape. Use this command to look for tapes that have been added, moved, or removed, outside of the DCMC interface.

Tape control commands

The following commands apply to tape operations:

Insert Tape. Use this command to insert a tape into the tape library. The command is available only if you click on an item in any Tape view. If you click on the tape that is already in the library, the command will appear dimmed.

Label Tape. Use this command to label and initialize a new tape. Unlabeled tapes can't be used by the HSM. The command is available only when you select a blank, unlabeled tape. If the tape is labeled, the command appears dimmed.

Delete Tape. Use this command to delete a tape from the LibraryTape table of the Directory database. You can access this command on the Action menu or popup menu. The command is available only for blank tapes, unlabelled tapes, and recyclable tapes. A tape must be ejected before you can delete it.

Eject Tape. Use this command to eject a tape from the tape library. The command is available only for a tape that is in the tape library. If the tape is not in the library, the command appears dimmed.

Recycle Tape. Use this command to recycle a tape whose data is fully expired. You should use this command with caution since recycling tapes removes access to any previous data on the tape. You can access this command on the Action menu or popup menu. The command is available only for tapes in the RecyclableTapes view.

Mark Tape Full. Use this command to mark a tape in the tape library as full and therefore to prevent any further writing to the tape. The command is available only when you select a tape that is not marked full. You can access this command on the Action menu or popup menu.

Mark Tape Not Full. Use this command to set a full indicator on a selected tape to not full. The command is available only for tapes that were marked full but haven't actually reached their maximum capacity. You can access this command on the Action menu or popup menu.

Disable. Use this command to disable the selected tape and prevent any further HSM operations on it. The command may be helpful when a tape needs to be temporarily removed from the library. The command is available only for tapes in the tapes views. When a tape is disabled, the command button appears pressed. Simply click the disable button again to enable the tape.


Refreshing DCMC views automatically

To refresh DCMC views automatically

  1. Right-click TLM Data Centers in the console tree, and then click Properties on the pop-up menu.

  2. If you want to refresh active views of your Data Center, select the Automatically refresh data views check box in the TLM Data Center Properties window. If you do not want to refresh active views (you only want to refresh service status), go to step 4.

  3. In the Seconds between each refresh box for the data views, type or select the number of seconds you want to elapse between each refresh.

  4. If you want to refresh statuses for the services on your Data Center, select the Automatically refresh service status check box. If you do not want to refresh service status (you only want to refresh data views), go to step 6.

  5. In the Seconds between each refresh box for the service status, type or select the number of seconds you want to elapse between each refresh. The default value is 300 seconds (five minutes).

  6. Click OK.

  7. Note

  8. If you do not want to automatically refresh the data views or service statuses, make sure the appropriate check box is clear. You can still manually refresh all views.


Refreshing DCMC views manually

To refresh DCMC views manually

  • To refresh the entire view of the details pane, click the [image] button on the Microsoft Management Console (MMC) toolbar or press the F5 key on your keyboard.

  • To refresh a specific view within the details pane, click that node in the console tree. This action only works when you have set the DCMC properties to enable its functionality. Use the following steps to enable this functionality:

    1. Right-click TLM Data Centers in the console tree, and then click Properties on the pop-up menu.

    2. In the TLM Data Center Properties window, select Refresh data views when selected.

    3. Click OK.

Notes

  • You can also automatically refresh DCMC views.

  • If you do not want to automatically refresh DCMC views, make sure the Automatically refresh data views and Automatically refresh service status check boxes are clear.


Data Centers

The Data Center Management Console (DCMC) organizes all services and components by the Data Center to which they belong. You can show Data Centers in the DCMC as two different types:

  • A standalone Data Center is one that only has one server and therefore does not mirror with another server or work in a cluster. A standalone Data Center is represented in the DCMC console tree by the [image] icon. All standalone Data Centers (if you have more than one) are grouped together under Standalone Data Centers, which is represented by the [image] icon

  • A Data Center cluster in the DCMC interface contains multiple servers, whether used only for mirroring or in a cluster. A cluster is represented by the [image] icon. All servers belonging to a cluster are represented by the [image] icon and are grouped together under that cluster name in the console tree.

  • Note

  • When the DCMC opens, you may or may not have a Data Center listed in the console tree (depending on your DCMC setup). If you do not have a Data Center listed, refer to How to add a data center for further instructions.


Servers

When you add a Data Center to the Data Center Management Console (DCMC), the DCMC displays all of the servers associated with that Data Center. The servers appear in the console tree under the Data Center to which they belong and are represented by the [image] icon.

Depending on how your server is configured, you will see different Data Center services grouped beneath each server. You can use the DCMC to manage the services listed for each server.


Adding a Data Center to DCMC

To add a Data Center to DCMC

  1. Right-click the TLM Data Centers item under the console tree, and then click Add a Data Center on the pop-up menu.

  2. When the Data Centers window appears, make sure the Add Data Center tab is selected.

  3. If you are adding a standalone Data Center:

  1. Click Add a Standalone Data Center to the Console.

  2. In the Data Center Name box, type the name of the Data Center server you want to add. You can also select the server by clicking the [image] button.

  4. If you are adding a mirrored or clustered Data Center:

  1. Click Add a Clustered Data Center to the Console.

  2. In the Name to show in the console box, type the name that you want to appear in the tree to represent the Data Center.

  3. In the Name of one of the servers in the Data Center cluster box, type the name of the Data Center server you want to add. You can also select the server by clicking the [image] button. You can use any server in the Data Center mirror or cluster and the DCMC automatically finds the related the servers in the Data Center.

  5. Click OK.

  6. If you add a standalone Data Center, the server name appears nested beneath the Standalone Data Centers item in the console tree.

  7. If you add a mirrored or clustered Data Center, the name you specified to represent that Data Center appears nested directly beneath the TLM Data Centers item in the console tree.


Removing a Data Center from DCMC

To remove a Data Center from DCMC

  1. In the console tree, right-click the server name (for a standalone Data Center) or the Data Center name (for a mirrored or clustered Data Center).

  2. Click Remove this Data Center on the pop-up menu.

  3. Click Yes when the confirmation message appears.


Specifying replication settings

To specify replication settings

  1. In the console tree, right-click the server for which you want to specify replication settings, and then click Properties on the pop-up menu.

  2. In the properties window, click the Backup Server tab.

  3. Select the appropriate replication mode and specify information for the backup server properties as needed in the Replication Settings section.

  4. Click OK.


Data Center services

The Data Center Management Console (DCMC) displays all of the services you have available for each Data Center server listed in the console tree. Depending on how your Data Center is configured, the DCMC console tree displays some or all of the following services:

  • BackupServer

  • BackupHSM

  • Compactor

You can use the DCMC to start, pause, and stop services as well as to view their status and other information. All of the service information appears in the details pane for service you select. You can also view information for all services at the same time by selecting the Data Center to which the services apply.


BackupServer service

The Data Center Management Console (DCMC) provides a BackupServer view that shows properties for the BackupServer service. These properties include information on:

  • Service status

  • Sessions

  • IP addresses

  • Replication

  • SendOnce™

You can view this information in the details pane by selecting BackupServer from the console tree for the server on which the service is running.


Backup server properties

You can update backup server properties on the Backup Server tab in the general properties window, which you can access through the console tree by right-clicking BackupServer for the appropriate server and then clicking Properties on the pop-up menu. When you access this window and tab, you can edit or review session restrictions, replication settings, and other information.

Session restrictions

The Backup Server tab contains a Session Restrictions section, which contains the following property controls:

  • Allow Backups check box. Select this check box to allow the service to accept backups, or clear it to disallow the service from accepting backups. For example, when you need to bring down the service for troubleshooting, you would clear the check box to disallow backups while the service is down; you would then select the check box to allow backups when the service is back up.

  • Allow Restores check box. Select this check box to allow the service to perform requested restores, or clear it to disallow the service from performing any requested restores. For example, when you need to bring down the service for troubleshooting, you would clear the check box to disallow restores while the service is down; you would then select the check box to allow restores when the service is back up.

  • Limit Active Sessions check box. Select this check box to limit the number of active sessions; for example, when you have bandwidth or network limitations. When you select this check box, the Maximum Active Sessions box becomes enabled so that you can specify the number of active sessions to limit:

  • Maximum Active Sessions box. Type the maximum number of active sessions to allow at one time. Type 0 for unlimited sessions. This box is enabled when you select the Limit Active Sessions check box.

  • Stop accepting backups if disk free space is below box. Type the number of megabytes (MB) of free disk space at which you want the server to stop accepting backups.

Replication settings

The Backup Server tab contains a Replication Settings section, which is only enabled if your backup server has a mirror with which it replicates. The Replication Settings section contains the following property controls:

  • Selection for the following replication modes:

  • Lazy Replication. Select this mode to have replication begin only after a backup session is finished. Connected recommends this mode.

  • Real-time Replication. Select this mode to have replication begin while the backup session is running, resulting in simultaneous backup on both mirrors.

  • Queued Replication. Select this mode to store replication requests in a queue to honor at another time. For example, if you bring a mirror down, you would set the other server to queued replication and then switch it back to lazy when the mirror is back up.

  • Number of Replication Threads box. Type the number of items to allow to replicate at the same time. This value should be dictated by your server capacity and network bandwidth limitations.

  • Stop accepting backups if replication queue is larger than box. Type the maximum number of backup requests to keep in the queue, after which requests will not be honored.

  • Stop replication if disk free space is below box. Type the minimum number of MB of free space on the server disk, below which the server does not allow replications to be performed.

Other information

The Backup Server tab contains an Other Information section. This section contains a Server IP Address box, which displays the IP address of the selected backup server. This property is read-only.


Sessions

You can view a list of all sessions by selecting, from the console tree, Sessions under BackupServer for the server on which you want information. The details pane displays the following information for each pending request:

Column Name | Description
Login Account | Account number sent during the login process.
Transaction Type | Type of agent transaction. Possible values are Backup, Retrieve, Order CD, Download, iRoam, Heal, Capture, Infuse, and None.
State | Possible values are Inital, LoggedIn, LoggedInForReplication, BackingUp, Retrieving Files.
Activity | Specific internal status of session.
TDate | Transaction date of backup in progress.
Protocol | Version number of agent protocol.
Start Time | Time when session started.
# of files | Current count of what will appear in activity record.
Account | Actual account number being used (differs in the case of sharing).
Asset Session ID | Internal tracking number for asset audit.
Blocks Received | Number of file data blocks received so far.
Blocks Sent | Number of file data blocks sent so far.
Compressed Size | Current count of what will appear in activity record.
File Kind | Kind of file being backed up. Possible values are 0, 2, 9, and 11.
File Name | Name of file being backed up.
File Type | Type of file being backed up.
Files Received | Number of files received so far.
Files Sent | Number of files sent so far.
IP Address | Agent IP address, which may be the address of the firewall.
Login Type | Type of login requested by the agent. Possible values are Registration, File Transfer, Account Recovery, Registration from Ticket, and None.
Mdate | Modification date of file being backed up.
Optimized Size | Current count of what will appear in activity record.
Original Size | Current count of what will appear in activity record.
Path Name | Path to file currently being backed up.
SOT Tdate | Agent transaction date (as sent by the agent, so time may not match).
SPID | System Process ID of SQL Server connection used for this session.
Thread ID | NT Thread ID used for this session.

  • Note

  • If any of the column names listed in the previous table do not appear in the details pane, right-click the details pane (not an item in the pane), point to View on the pop-up menu, and then click Choose Columns. You can then select the hidden columns in the Modify Columns window to display them in the details pane.


Setting file expiration properties

To set file expiration properties

  1. In the console tree, right-click the server for which the file properties apply, and then click Properties on the pop-up menu.

  2. In the properties window, click the Expiration tab.

  3. Type the appropriate values for each property box under the tab. All of the properties are self-explanatory.

  4. Click OK.


Setting session restrictions

To set session restrictions

  1. In the console tree, right-click the server for which you want to set session restrictions, and then click Properties on the pop-up menu.

  2. In the properties window, click the Backup Server tab.

  3. Specify information for the backup server properties as needed in the Session Restrictions section.

  4. Click OK.


BackupHSM service

The Data Center Management Console (DCMC) provides a BackupHSM view that shows properties for the BackupServer service. The BackupHSM service enables you to perform the following tasks:

  • Monitor the status of Hierarchical Storage Manager (HSM) requests and a work queue on a particular HSM server.

  • Monitor and control the status of HSM tape drives.

  • Look up and monitor specific tape-related information.

  • Look up the version of the Data Center and HSM client software.

The BackupHSM properties include information on:

  • Service status

  • Tapes

  • Current requests

  • Operations queue

  • Drive status

  • Purge and migration

You can view properties for the BackupHSM service in the details pane by selecting BackupHSM from the console tree for the server on which the service is running.


HSM properties

You can update Hierarchical Storage Manager (HSM) properties on the HSM tab in the general properties window, which you can access through the console tree by right-clicking BackupHSM for the appropriate server and then clicking Properties on the pop-up menu. When you access this window and tab, you can edit disk space management settings, tape request settings, and tape drive online/offline settings.

Disk space management settings

The HSM tab contains a Disk Space Management Settings section, which contains the following property controls:

  • Purge archives when disk space is below box. Type the percentage of remaining free disk space at which the server should start purging archives from the disk in order to preserve disk space. The server continues purging archives until the free disk space increases to the percentage specified in the Stop purging archives when disk space reaches box.

  • Stop purging archives when disk space reaches box. Type the percentage of remaining free disk space at which the server should stop purging archives after starting a purge because the free disk space had dropped to the percentage specified in the Purge archives when disk space is below box.

  • Migrate archives to tape when new archives reach box. Type the percentage of disk space containing unmigrated archives, at which the server should start migrating them from disk to tape.

Tape request settings

The HSM tab contains a Tape request settings section, which contains the following property controls:

  • Suspend requests when disk space is below box. Type the percentage of remaining free disk space below which the server should suspend fulfilling requests to move data from tape to disk in order to preserve disk space. Requests remain suspended until the free disk space increases to the percentage specified in the Stop suspending requests when disk space reaches box.

  • Stop suspending requests when disk space reaches box. Type the percentage of remaining free disk space above which the server should resume fulfilling requests from tape to disk after being suspended because the free disk space had dropped to the percentage specified in the Suspend requests when disk space is below box.

  • Cancel requests instead of suspending requests check box. Select this check box to cancel requests, instead of suspend them, when free disk space drops below the percentage specified in the Suspend requests when disk space is below box. For agent restore requests, the agent automatically makes the request to the mirrored server (if one exists) if the request is canceled by the first server.

  • Tape Operation Retry Limit box. Type the number of additional attempts the server should make to recover an archive from tape if a previous attempt fails due to transient errors (such as network problems). Once the server reaches this number of attempts, the current archive request is failed and it continues to the next archive in the current request.

Tape drive online/offline settings

The HSM tab contains a Tape Drive Online/Offline Settings section, which contains the following property control:

  • Select tape drives that should be online check boxes. Select the appropriate check boxes to identify the tape drives that should be online.


Current requests

The Data Center Management Console (DCMC) provides a Current Requests view, which enables you to monitor the status of Hierarchical Storage Manager (HSM) requests coming from each HSM client. This view, which is displayed in the details pane, includes the following information:

  • Information about the HSM client the request originated from

  • The type of the request (migration, purge, etc.)

  • The total size and number of the requests for a particular server

  • The number and size of pending tape operations

You can view a list of all pending HSM requests by selecting, from the console tree, Current Requests under BackupHSM for the server on which you want information. The details pane displays the following information for each pending request:

Column Name | Description
Request from | Indicates the name of the server that originated a request.
Program Name | Indicates the name of the Data Center management client.
Type | Shows the purpose of the request (data migration, purge, retrieval, labeling, CD request, file download from the Data Center, account recovery, a new account registration).
Ops Remaining | Shows the number of pending tape operations requested by a particular server and its client program.
Size Remaining | Shows the data size of pending and total tape operations requested by a particular server and its client program.
Priority | Indicates the priority of the request. This column is informational, and you cannot change it.
Suspended | Indicates whether a particular request was suspended.
Suspended Since | Time when the request was set to suspended.
Requested At | Time when the request was received by the HSM server.
Drive Affinity | Information about whether the request was for a specific drive or drives.
Cancellation Receipt | A number used by the HSM Client to identify a particular request when the request is being canceled.
Backup Server | Shows the name of the server that owns the tape.

If, for some reason, you need to cancel an outstanding request, select it from the list and click the [image] button on the DCMC toolbar. To see the most recent status information for a particular request, refresh the screen periodically.

  • Note

  • If any of the column names listed in the previous table do not appear in the details pane, right-click the details pane (not an item in the pane), point to View on the pop-up menu, and then click Choose Columns. You can then select the hidden columns in the Modify Columns window to display them in the details pane.


Operation queue

The Data Center Management Console (DCMC) provides an Operation Queue view, which enables you to monitor the entire work queue on a particular Backup HSM server. This view, which is displayed in the details pane, includes the following information:

  • Retrieval and migration requests waiting to be processed

  • The number, type, and size of the requests waiting to be processed

  • The ID of tapes involved in a particular request

  • Whether or not the requested tape is in the library

  • The priority of each request

You can view a list of the HSM requests organized by Priority and TapeID by selecting, from the console tree, Operation Queue under BackupHSM for the server on which you want information. The details pane displays the following information for each item in the queue:

Column Name | Description
Library | Number of the HSM library in which the request is queued. NULL if tape is not in library.
Tape ID | Identifies the tape that has been requested.
Type | Shows the purpose of the request (data migration, purge, retrieval, labeling, CD request, file download from the Data Center, account recovery, a new account registration).
Priority | Indicates the priority of the request.
Operations | Shows the number of pending operations for the tape.
Gigabytes | Shows total size of archives requested by HSM.
Suspended | Indicates whether a particular request was suspended. HSM suspends a request if a disk free space falls below the suspend threshold, which is typically 8%.

  • Note

  • If any of the column names listed in the previous table do not appear in the details pane, right-click the details pane (not an item in the pane), point to View on the pop-up menu, and then click Choose Columns. You can then select the hidden columns in the Modify Columns window to display them in the details pane.


Drive status

The Data Center Management Console (DCMC) provides a Drive Status view, which enables you to monitor the status of the HSM tape drives so that if one of the following problems occurs during the tape operation, you can quickly identify and fix it:

  • Excessive mount time for a selected tape

  • Failure to read a label on the tape

  • Failure to position a tape for reading and writing

  • Failure to read from or write to the tape

The drive status view displays, in the details pane, the current state of the tape drives. Use the Comments column to see whether the drive is idle, the drive is mounting or unmounting a tape, a tape is mounted, the drive is offline, or the drive is offline with a tape possibly stuck.

A drive might be offline because of the following reasons:

  • It was manually taken offline for routine inspection and cleaning.

  • HSM has taken the drive offline for one of the following reasons:

  • An operator took the drive offline.

  • The mounted tape is stuck in the drive (for example, robot is unable to either remove or insert a tape).

  • There is a mismatch between installed hardware and the information in the registry (for example, if there is an incorrect hardware installation).

  • There is a mismatch between the current TLM installation and the installed hardware.

For details on how to isolate and fix problems caused by offline tape drives, refer to the article Troubleshooting Offline Tape Drives on the Connected Resource Center at resourcecenter.connected.com.

To view the status of each tape drive in the library select, from the console tree, Drive Status under BackupHSM for the server to which the tape library is connected. The details pane displays the following information for each drive:

Column Name | Description
Drive | The logical position of the drive in the tape library.
Current Status | Contains the current drive status (idle/mounted).
Tape ID | Shows which tape is currently in use, if any.
Type | Shows the purpose of the request (data migration, purge, retrieval, labeling, CD request, file download from the Data Center, account recovery, a new account registration).
Priority | Indicates the priority of the request. This column is informational, and you cannot change it.
Position | Shows the position of a loaded tape.
Comments | Describes the tape drive status including a current tape operation such as mounting a tape. Also displays warnings and error messages that come up when a tape operation fails.
Size | Size of archive currently being read or written.
Device Name | The Windows NT device name for the drive.
Archive Name | Name of archive currently being read or written.
Account | Account that owns the archive currently being read or written.

  • Note

  • If any of the column names listed in the previous table do not appear in the details pane, right-click the details pane (not an item in the pane), point to View on the pop-up menu, and then click Choose Columns. You can then select the hidden columns in the Modify Columns window to display them in the details pane.


Migration

Migration begins automatically when the amount of free disk space plus the purge queue (archive sets that have already been migrated to tape) falls below the MigrateStart threshold. The following steps describe the basic stages of this process:

  1. The HSM client identifies the accounts with archive sets that have to be migrated.

  2. Each account is assigned to the tape group that is used to determine the migration tape for the account. In order for an account to be assigned to a particular tape, the amount of data that is already on that tape must be under a specific threshold. Imposing a data threshold provides space for future migrations for accounts that have already been assigned to the tape. Only a limited number of accounts can be assigned to each tape.

Under some circumstances, however, you might need to force a migration before the MigrateStart threshold has been passed. The Data Center Management Console (DCMC) provides the Migrate function that enables you to do that.

  • Note

  • If you are working on a Data Center server, then you can use DCMC to initiate a reverse migration to copy data from tape back to disk. When you initiate a reverse migration, the DCMC simply runs DataCopier to assist you in performing the task.


Reverse migration

Reverse migration is the process of copying previously migrated users' data from tape(s) back to the Data Center disk cache. You might need to perform reverse migration when you want to:

  • Retrieve data from a damaged tape.

  • Duplicate archives on a new tape set.

  • Defragment the data and "clear" the tape for reuse.

The Data Center Management Console (DCMC) provides a feature to initiate a reverse migration.

  • Note

  • The reverse migrate function is not available if you are running DCMC on a non-Data Center computer.


Purge

Under normal circumstances, purging starts automatically when the free disk space on the Data Center drops below the PurgeStart threshold. When this happens, the HSM client performs the following steps:

  1. Checks which archive sets have been migrated to the tape but still remain on disk

  2. Deletes (purges) selected archive sets from disk to increase disk space

  3. Checks if the amount of free disk space plus purge queue has dropped below the PurgeStop threshold level—if it does, migration begins

In certain cases, however, you might need to force a purge of archive sets before the PurgeStart threshold has been passed. For example, if you are planning to upgrade your Data Center software, performing a complete purge will help you to ensure that the maximum free space is available on the hard drive. The Data Center Management Console (DCMC) provides the purge function that enables you to do that.


Tape management

Inserting and Labeling Tapes

The Data Center Management Console (DCMC) allows you to electronically label blank tapes once they have been inserted into the tape library. Labeling a new tape usually takes a minute or two, depending on the tape drive. The label is read and verified every time a tape is mounted. Once labeled, the tape can be used by HSM for data migration and retrieval. If you inserted the tape but did not label it, HSM will not be able to use the tape for data migration.

Marking Tapes as Full

Marking tape full usually occurs automatically when the tape is completely utilized and cannot accommodate any more data. However, in certain cases you might need to mark a tape as full so that no more data can be written to it even if the tape is not actually full. The DCMC provides a function that enables you to do that. Use this function if:

  • The tape which contains expired archives is selected for compaction.

  • The tape belongs to a secondary tape set and must be removed from the library for off-site storage.

  • The tape is damaged or old, and therefore should be replaced by a new tape. You must mark the tape as full before using the reverse migrate function.

Marking Tapes as Not Full

The DCMC provides a function that enables you to mark a tape as not full and set the full indicator on a selected tape to not full. This command is available for the tapes that are in the library and have been marked full but are not yet at their maximum capacity. You can use this command if:

  • You want to write additional data to the tape whose capacity has not been fully utilized.

  • You want to enable the tape that has been previously disabled and marked full.

Enabling and Disabling Tapes

The DCMC provides tape functions to temporarily enable and disable tapes in the tape library. Both functions are available in tape views for the tapes that are physically present in the library.

The disable tape function is used to prevent any further HSM operations on the selected tape(s). You might choose to disable a tape if:

  • It is a secondary tape set tape that should be removed from the library.

  • A tape is causing problems, and you need to remove it from the library for physical examination.

The enable tape function is used to resume operations on a disabled tape.

Deleting Tapes

The DCMC provides a function for you to delete a tape from the LibraryTape table of the Directory database. You might need to use this function if a tape ID contains errors or typos. The command is available only for blank tapes, unlabelled tapes, and recyclable tapes. A tape must be ejected before you can delete it.

Ejecting Tapes

You may need to eject a tape from the library if:

  • The tape causes problems, and you want to physically examine it for damage.

  • The tape is damaged and, therefore, may be replaced by a new one.

  • It is a secondary migration set tape that can be taken off-site.


Tapes

The Data Center Management Console (DCMC) provides a Tape Details view that enables you to look up information about a particular tape in the tape library.

Using this view in conjunction with the Tape Utilization and Tape Sets views help you to determine the following:

  • How many times a particular tape has been loaded

  • How long a tape has been used (the tape's date of birth)

  • The number of files on the tape

  • Which tape set (the Primary, Secondary, or Pool Tape Set) the tape belongs to

  • Whether a tape drive cleaning light is on

Based on this information you might need to:

  • Replace an aging tape with a new one.

  • Recycle a tape whose data is fully expired.

  • Remove the tape from the library for off-site storage.

  • Insert a new tape into the library.

  • Clean a tape drive.

You can view a list of all tapes in the tape library by selecting, from the console tree, Tape Details under Tapes for the server to which the tape library is connected. The details pane displays the following information for each tape:

Column Name | Description | Notes
Tape ID | A unique number that identifies a tape in the tape library. The number is automatically given to the tape during the labeling operation. | Electronic label should not be confused with a bar code label attached to the tape cartridge.
Library | The library ID. Typically, this value is 0, but it might be 1 if there are two libraries. | The value could also be "<Not present>" if a tape is not in the library.
Slot | A unique ID that identifies a slot in a tape library. | A missing slot ID indicates that the tape is not in the library.
ServerID | Shows the ID of the server that owns the tape. | Two or more servers can share a tape library.
Tape Set | Indicates the tape set to which a tape belongs. Set 0 is the primary tape set and is permanently stored in the tape library. Set 99 is always reserved for SendOnce™ account backup and is uUsually stored on-site. Set 1, 2, etc. secondary tape sets are used for extra data protection and should be taken off site daily. |
Tape Group | The tape group number. | This feature may be used to group sets of users, by community, onto sets of tapes. This feature should only be used for small numbers of tape groups. If there are too many table groups, the library will not be able to be fully utilized.
IsFull | Indicates whether or not a tape is marked as full. Once the tape is marked as full, it cannot be written to. | If the tape is fully utilized, the system automatically marks it as full. If the tape is not actually full, you can mark it as full manually so that no more data can be written to it.
Disabled | Indicates whether or not the tape in the library has been disabled. | You can temporarily disable a tape without removing it from the library.
Mount Count | Indicates how many times the tape has been mounted. | If the tape has been labeled but contains no data, the mount count is equal to 1.
File Count | Indicates how many archive sets have been written to the tape. | If the file count is equal to 0, the tape is considered blank and unlabeled. If the file count is equal to 1, the tape has been labeled.
Capacity | Indicates the theoretical maximum amount of data in GB that can be written to the tape. Actual tape capacity will be slightly less. | When the tape reaches or exceeds its capacity limits, it becomes a candidate for compaction. You can also choose to eject it from the library for off-site storage.
Utilization | Indicates the amount of data that has already been written to the tape. |
Date of birth | Indicates the date a tape was assigned to a server. |
Assigned users | The number of users assigned to the tape. |
Assigned Bytes | The totals bytes from the assigned users. | There may be more bytes than tape capacity, since tapes are typically assigned such that account data is spread over four tapes.
Recent Errors | The number of hard errors recorded in the last 30 days. |
Write Protect | Indicates whether or not the tape is write protected. |
Unexpired | The unexpired portion of current data on the tape. If the value is 0 and the tape is marked as full, the tape is recyclable. | The value 0 means 0, as opposed to 0.00, which means a small amount of data that was rounded down.
Remaining | The percentage of calculated data remaining that is using utilization/capacity. |
Next Block LSB | The logical position of next write to this tape. |
Labeled | Indicates whether or not the tape has been labeled ("yes" means the tape is labeled; "no" means the tape is not labeled). |
Cleaning Light | The status of the cleaning light from the last tape drive used. If the cleaning light is on, the tape drive needs to be cleaned. | The default is Off.
Bar Code | The bar code read from the tape. |

  • Note

  • If any of the column names listed in the previous table do not appear in the details pane, right-click the details pane (not an item in the pane), point to View on the pop-up menu, and then click Choose Columns. You can then select the hidden columns in the Modify Columns window to display them in the details pane.


Tape utilization

The Data Center Management Console (DCMC) provides a Tape Utilization view that helps you to determine how much tape capacity is in use, how much tape capacity is remaining, and if or when you might have to add more media to the library. If the tape utilization view reveals that most of the tapes in the library are approaching their capacity limits, you can take any of the following actions:

  • Refer to the Slot Utilization view to check if there are any unused slots in the library:

  • If there are no unused slots, expand the library by adding new slots.

  • If there are unused slots, insert blank tapes into the library and immediately label them.

  • Change the status of a tape from full to not full if the tape still has some space available.

  • Expire old data and run shredder and compaction to free up tape space occupied by old data.

You can view a list of all tapes allocated to a current server along with the detailed information about their utilization by selecting, from the console tree, Tape Utilization under Tapes for the server to which the tape library is connected. The details pane displays the following information for each tape:

Column Name | Description | Notes
Tape ID | Indicates the ID of a tape that is assigned to a particular slot. | Only one tape at a time can be assigned to a slot.
Library | The library ID. Typically, this value is 0, but it might be 1 if there are two libraries. | The value could also be "<Not present>" if a tape is not in the library.
Remaining | The percentage of calculated data remaining that is using utilization/capacity. |
Utilization | Indicates the amount of data that has already been written to the tape. |
Capacity | Indicates the theoretical maximum amount of data in GB that can be written to the tape. Actual tape capacity will be slightly less. | When the tape reaches or exceeds its capacity limits, it becomes a candidate for compaction. You can also choose to eject it from the library for off-site storage.
IsFull | Indicates whether or not a tape can be written to. | When the tape reaches its capacity limits, the system automatically marks it as full. If the tape is not actually full, but its data is expired, you can mark it as full manually so that no more data can be written to it.
Tape Set | Indicates the tape set to which a tape belongs. Set 0 is the primary tape set and is permanently stored in the tape library. Set 99 is always reserved for SendOnce™ account backup and is uUsually stored on-site. Set 1, 2, etc. secondary tape sets are used for extra data protection and should be taken off site daily. |
Tape Group | The tape group number. | This feature may be used to group sets of users, by community, onto sets of tapes. This feature should only be used for small numbers of tape groups. If there are too many table groups, the library will not be able to be fully utilized.
Unexpired | The unexpired portion of current data on the tape. If the value is 0 and the tape is marked as full, the tape is recyclable. |
Disabled | Indicates whether a tape in the library has been disabled. | You can temporarily disable a tape without removing it from the library.
Date of birth | Indicates the date a tape was assigned to a server. |

  • Note

  • If any of the column names listed in the previous table do not appear in the details pane, right-click the details pane (not an item in the pane), point to View on the pop-up menu, and then click Choose Columns. You can then select the hidden columns in the Modify Columns window to display them in the details pane.


Blank tapes

One of the important tools for tape library management is the ability to ensure that HSM has a supply of blank, labeled tapes to use for data migration and restores. If no blank tapes are available, the HSM server will halt any ongoing migration and retrieval operations, causing inconveniences to your Data Center users.

The Data Center Management Console (DCMC) provides the Blank Tapes view that allows you to check how many blank tapes are in the tape library, whether or not they are labeled, whether or not they are disabled, and where in the library they are located. Based on this information, you can decide if you need to insert new tapes into the library.

A tape is considered blank if both of the following conditions exist:

  • The tape contains no data (FileCount + NextBlock = 0).

  • The tape is not allocated to any server.

You can view a list of blank tapes by selecting, from the console tree, Blank Tapes under Tapes for the server to which the tape library is connected. The details pane displays the following information for each tape:

Column Name | Description | Notes
Tape ID | A unique number that identifies a tape in the tape library |
Library | The library ID. Typically, this value is 0, but it might be 1 if there are two libraries. | The value could also be "<Not present>" if a tape is not in the library.
Slot | Indicates the number of a slot a new tape has been assigned to. | A missing slot ID indicates that the tape might not physically be in the library.
Labeled | Indicates whether or not a tape has been labeled. | Only labeled tapes can be used by the Hierarchical Storage Manager (HSM) for data migration and recovery.
Disabled | Indicates whether the tape in the library has been disabled. | You can temporarily disable a tape without removing it from the library.
Bar Code | The label on the exterior of the tape cartridge to be read by a bar code reader. | Each tape in the library with a bar code reader must have a bar code label.

Once you have inserted a blank tape into the library, you should immediately label it. If you fail to do so, the HSM server will not recognize the tape and won't be able to migrate archive sets to it.

  • Note

  • If any of the column names listed in the previous table do not appear in the details pane, right-click the details pane (not an item in the pane), point to View on the pop-up menu, and then click Choose Columns. You can then select the hidden columns in the Modify Columns window to display them in the details pane.


Recyclable tapes

It is important to keep backed up data in a manageable condition so that the Data Center can efficiently use its disk and tape storage capacity. Failure to do so will result in excessive accumulation of customers' data on the Data Center's disk and tapes, causing long delays in satisfying users' requests. To prevent this from happening, you must systematically remove old data by performing expiration and compaction processes. After the expired data has been deleted from both the databases and the library tapes, the tapes can be discarded or re-used.

The Data Center Management Console (DCMC) provides the Recyclable Tapes view that automatically displays the tapes that can be recycled. Use this view to determine the following:

  • The ID of a tape that can be recycled.

  • Whether or not the tape is in the library.

  • Whether or not the tape is disabled.

The tape is considered ready for recycling if both of the following conditions exist:

  • The data on the tape has fully expired. If not all of the data is expired, then any unexpired archives that have been reverse migrated from this tape back to disk must be remigrated to another tape.

  • It is marked as full so that no more data can be written to it.

You can view a list of recyclable tapes by selecting, from the console tree, Recyclable Tapes under Tapes for the server to which the tape library is connected. The details pane displays the following information for each tape:

Column Name | Description | Notes
Tape ID | A unique number that identifies a tape in the tape library |
Library | The library ID. Typically, this value is 0, but it might be 1 if there are two libraries. | The value could also be "<Not present>" if a tape is not in the library.
Disabled | Indicates whether the tape in the library has been disabled. | You can temporarily disable a tape without removing it from the library.
Remigration completed | Indicates whether or not remigration is completed. |
Recent Errors | The number of hard errors recorded in the last 30 days. |
Mount Count | Indicates how many times the tape has been mounted. | If the tape has been labeled but contains no data, the mount count is equal to 1.

  • Notes

  • If any of the column names listed in the previous table do not appear in the details pane, right-click the details pane (not an item in the pane), point to View on the pop-up menu, and then click Choose Columns. You can then select the hidden columns in the Modify Columns window to display them in the details pane.

  • Connected recommends that you let tapes "cool off" after they become recyclable, so that you could use them in case of a disaster, requiring database restoration. If the tapes have been relabeled, the data required to rebuild the data center will be lost. A cooling off period can be from two weeks up to a month prior to recycling.


Labeling a tape

To label a tape

  1. In the console tree, click to select the Blank Tapes view under Tapes.

  2. In the details pane, right-click the tape you want to label and click Label Tape from the pop-up menu.

  3. The Hierarchical Storage Manager (HSM) writes an electronic label followed by an EndOfTape indicator at the beginning of the tape. It also modifies the record for the tape in the database to reflect that the tape is now labeled and available for assignment to a Backup server.

  4. Check the view to ensure that the tape is labeled. Any failure might be due to the following reasons:

  5. A tape to be labeled is not physically in the library.

  6. You tried to label a tape that has already been labeled.

  7. Note

  8. Labeling should not be confused with physically attaching coded bars to the tapes. A DLT tape cartridge has a recessed track on the front for the label. While attaching a bar code label to the tape, make sure that the bar code number is on the top and the bar code is on the bottom of the cartridge.


Marking a tape as full

To mark a tape as full

  1. In the console tree, click to select the tape view under Tapes for which you want to mark a tape as full.

  2. In the details pane, right-click the tape you want to mark and then click Mark Tape Full on the pop-up menu.

  3. Check the view to make sure the tape is correctly marked.

  4. Disable the tape and remove it from the library, if needed.


Marking a tape as not full

To mark a tape as not full

  1. In the console tree, click to select the tape view under Tapes for which you want to mark a tape as not full.

  2. In the details pane, right-click the tape you want to mark and then click Mark Tape Not Full on the pop-up menu.

  3. Check the view to make sure the tape is marked correctly.

  4. Enable the tape, if needed.


Recycling a tape

To recycle a tape

  1. In the console tree, click Recyclable Tapes under Tapes for the server to which the recyclable tape is connected.

  2. In the details pane (where the recyclable tapes are listed), right-click the tape you want to recycle and then click Recycle Tape on the pop-up menu.

  3. Notes

  • Connected recommends that you let tapes "cool off" after they become recyclable, so that you could use them in case of a disaster, requiring database restoration. If the tapes have been relabeled, the data required to rebuild the data center will be lost. A cooling off period can be from two weeks up to a month prior to recycling.


Deleting a tape from the Directory database

  1. Make sure the tape you want to delete is blank, unlabelled, or recyclable.

  2. Make sure the tape is ejected.

  3. Right-click the tape you want to delete in the details pane, and then click Delete Tape on the pop-up menu.


Ejecting a tape from the library

To eject a tape from the library

  1. In the console tree, click to select the tape view under Tapes for which you want to eject a tape.

  2. In the details pane, right-click the tape you want to eject and click Eject Tape from the pop-up menu.

  3. If the operation succeeds, the Hierarchical Storage Manager (HSM) displays a message indicating which tape has been ejected. If a tape fails to eject, the failure might be attributed to one of the following reasons:

  4. The tape is not physically in the library

  5. The tape was physically inserted into the library receiving mechanism, but has not been assigned to a particular tape slot. As a result, HSM could not find the tape.

  6. The tape you are trying to eject belongs to the primary tape set.

  7. Note

  8. Extracting a primary migration set tape can cause server failure to retrieve files or to manage the SendOnce pools, as well as other errors. If you must remove a primary migration set tape, check the Operation Queue to make sure the tape is not currently needed.


Verifying a tape header

To verify a tape header

  1. In the console tree, click to select the tape view under Tapes for which you want to verify a header.

  2. In the details pane, right-click the tape you want to verify, point to All Tasks on the pop-up menu, and then click Verify Tape Header.


Tape library

The tape library is an HSM device that is used for long-term storage of archive sets. Tape libraries vary in size and storage capacity: some of them are designed to contain hundreds of tapes, others can handle a few tapes only. Connected recommends that, before purchasing a tape library, you estimate the number of users you expect to have by the end of the first year of your Data Center operation, as well as the amount of backup traffic per user. If you anticipate rapid growth of your user community, you should obtain a tape library that is larger than initially needed. Connected also recommends that you purchase a library with a bar code reader, simplifying tape insertion and allowing for automated tape inventorying in the event of library failure.

The Tape library includes the following hardware components:

  • Medium changer device. This component is a tape loading device that is used to insert a tape into the tape slot.

  • Tape drives. The number of tape drives varies from library to library. For faster performance of tape operations, Connected recommends that you use at least two tape drives per library. Performance also depends on tape capacity. The HSM Server supports tape drives with the following capacity characteristics:

  • DLT 4000 drives with 20 GB native capacity

  • DLT 7000 drives with 35 GB native capacity

  • AIT drives with 36 GB native capacity

  • AIT-2 drives with 50 GB native capacity

  • Tape slots. The number of tape slots depends on the type of the library and determines the library storage capacity. As the number of accounts and the amount of data backed up per account grow, you might need to increase your library storage capacity. You can drastically improve your tape operation performance by using expandable libraries, which enable you to add new slots to your tape library as needed.

  • Capability for inserting and extracting tapes. Some libraries have import/export capability, which allows users to insert tapes into the Cartridge Access Port (CAP). Depending on a tape library size, the CAP may offer both single and multiple tape insertions.

  • Bar code reader. This component is recommended for all library types. In order to be identified by a bar code reader, a tape cartridge must have a bar code label properly attached to it.

  • Notes

  • The information listed above about tape libraries is subject to change. Please contact your Connected sales representative for an updated list of supported tape libraries.

  • Contact your Connected representative for a complete list of supported tape libraries.


Tape library management

While performing tape operations, it is important to keep track of how much storage capacity the library has. If you determine that the library is running out of storage space, you need to add more media. Failure to do so will cause the Hierarchical Storage Manager (HSM) to cease migration and retrieval operations, resulting in long delays in satisfying users' requests.

The following Data Center Management Console (DCMC) views enable you to manage the tape library:

  • Blank Tapes. Based on the information in this view, you can decide if you need to insert additional tapes into the library.

  • Tape Utilization. If this view reveals that most of the tapes in the library are approaching their capacity limits, you can:

  • Change the status of a tape that has some unused space from full to not full.

  • Run the Compactor service to free up tape space occupied by expired data.

  • Slot Utilization. Indicates how the library tape slots are being used and whether the library has enough tape slots to accommodate new tapes, and how these slots are being used. It also shows which slots have no tapes assigned to them, which slots are assigned to the tapes that are not physically in the library, which slots are assigned to the tapes that are not allocated to any server, and which slots contain the secondary tape set tapes that can be taken off-site. Based on this information, you might need to do one of the following:

  • Free up slots by removing the secondary migration set tapes designated for off-site storage

  • Assign new tapes to empty slots

  • Recyclable Tapes. Indicates which tapes have fully expired data and, therefore, can be recycled. Based on this information, you can:

  • Eject the tapes from the library and store them.

  • Re-use the tapes.

  • Secondary Migration Sets. Indicates which tapes in the secondary tape set can be removed from the library for off-site storage.

You can also increase storage capacity by performing the following operations:

  • Inserting tapes. Adds capacity to the tape library.

  • Labeling tapes. If the tape in the library is unlabeled, the HSM server will not be able to use it for data migration. To make the tape usable, label it as soon as it has been inserted into the library.

  • Marking tapes that were previously marked full as not full. Additional unused capacity will be found on tapes that are not fully utilized.

  • Enabling previously disabled tapes. Causes the HSM server to resume operations on the tape.


Slot utilization

Before inserting new tapes into the tape library, you must first verify that the library has empty slots to be assigned to the tapes. Failure to do so will cause the BackupHSM service to halt the operation and to report a "No slot available" error in the event log.

The Data Center Management Console (DCMC) provides the Slot Utilization view that enables you to check whether or not the tape library has enough tape slots to accommodate new tapes and how these slots are being used.

You can use the Slot Utilization view in conjunction with the Tape Utilization view to determine the following information:

  • Which slots in the tape library have no tapes assigned to them

  • Which slots are assigned to the tapes that are not physically in the library

  • Which slots are assigned to the tapes that are not allocated to any server

  • Which slots contain the secondary tape set tapes that can be taken off-site

Based on this information, you might need to perform one of the following tasks:

  • Assign new tapes to empty slots.

  • Audit the tape library and identify the tapes in their current locations.

  • Free up some slots by removing the secondary tape set tapes designated for off-site storage.

  • Expand the library by adding new slots.

You can view a list of slots available in the tape library by selecting, from the console tree, Slot Utilization under Tapes for the server to which the tape library is connected. The details pane displays the following information for each tape:

Column Name | Description | Notes
Library | The library ID. Typically, this value is 0, but it might be 1 if there are two libraries. | The value could also be "<Not present>" if a tape is not in the library.
Slot | The ID of a slot to which a particular tape is assigned. |
Tape ID | The ID of a tape that has been assigned to a particular slot. | A missing tape ID indicates that a slot contains no tape.
ServerID | The ID of the server that owns the tape. | A missing server ID indicates that no tapes have been allocated to a server.
Bar Code | The label on the exterior of the tape cartridge to be read by a bar code reader. | Required for all tapes.

  • Note

  • If any of the column names listed in the previous table do not appear in the details pane, right-click the details pane (not an item in the pane), point to View on the pop-up menu, and then click Choose Columns. You can then select the hidden columns in the Modify Columns window to display them in the details pane.


Inserting a tape into the library

To insert a tape into the library

  1. In the console tree, click Blank Tapes under Tapes for the server on which the tape library is connected.

  2. In the details pane, right-click the blank tape that you want to insert and then click Insert Tape on the pop-up menu.

  3. The Hierarchical Storage Manager (HSM) inserts the tape into the library. At this point, the insertion procedure varies depending on the tape library receiving mechanism. If your library has an import/export element and a bar code reader:

  1. Press the call button on the library front panel to invoke the cartridge access port (CAP).

  2. Insert the tape you selected in step 2 into the CAP and press OK to notify the Data Center Management Console (DCMC) that you have completed this task.

  3. HSM identifies the tape using the bar code reader, moves it into the slot the tape has been assigned to, and labels it.

If your library does not have an import/export element but has a bar code reader:

  1. Open the library door, insert the tapes, put the tape carrier back into the library, and close the library door. A flashing green bar on the library door indicates that the library is performing an inventory check to make sure that the tapes have been inserted into the proper slots.

  2. Once the inventory check is completed, the DCMC prompts you to label the inserted tapes.

  3. Note

  4. Once the tape has been inserted into the library, it should be enabled.


Enabling a tape

To enable a tape

  1. In the console tree, click to select the appropriate tape view under Tapes.

  2. In the details pane, right-click the tape you want to enable and click Enable Tape from the pop-up menu.


Disabling a tape

To disable a tape

  1. In the console tree, click to select the appropriate tape view under Tapes.

  2. In the details pane, right-click the tape you want to disable and click Disable Tape from the pop-up menu.


Auditing library contents

To audit library contents

  • In the console tree, right-click the appropriate tape view under Tapes, point to All Tasks on the pop-up menu, and then click Audit library contents.


Tape sets

You can view information pertaining to all tape sets by selecting, from the console tree, Tape Sets for the server to which the tape library is connected. The details pane displays the following information for each tape set:

Column Name | Description
Tape Set | Indicates the tape set to which a tape belongs. Set 0 is the primary tape set and is permanently stored in the tape library. Set 99 is always reserved for SendOnce™ account backup and is usually stored on-site. Set 1, 2, etc. secondary tape sets are used for extra data protection and should be taken off site daily.
Description | Textual description of the tape set.
Account | The specific account assigned to the tape set (for example, the SendOnce pool account).
Auto Migration | Specifies whether or not data should be migrated to the tape set automatically (1=yes; 0=no).
Max. Customers | The maximum number of user accounts that can be assigned to tapes in the tape set.
Max. Assigned Bytes | The maximum number of bytes that can be written to a tape in the tape set. This value is expressed as a percentage relative to the capacity of a tape. For example, a Max. Assigned Bytes value of 0.75 (75%), combined with a capacity value of 40000000000 bytes (40 GB), means that no more than 30 GB will be written to the tape.
Respect Tape Group | Specifies whether or not this tape set respects the TapeGroup method of assigning accounts to tapes (1=yes; 0=no).
Archive Migration | Specifies whether or not the tape set receives migration of user archives (1=yes; 0=no).

You can access detailed information on each available tape set by selecting the appropriate view under the Tape Set view.

  • Note

  • If any of the column names listed in the previous table do not appear in the details pane, right-click the details pane (not an item in the pane), point to View on the pop-up menu, and then click Choose Columns. You can then select the hidden columns in the Modify Columns window to display them in the details pane.


Primary migration set

The Data Center Management Console (DCMC) provides a Primary migration set view that enables you to monitor the rotation of tapes in the library and helps you to make decisions about moving tapes between the library and off-site storage.

The primary migration set is always stored in the tape library to ensure prompt recovery of archives when needed. While migrating archives from disk to tape, the Hierarchical Storage Manager (HSM) tries to keep all data for a given account together so that if an account needs to restore some data, it can be efficiently located and reverse migrated back to disk. Data migration from disk to the primary migration set is performed as needed based on registry settings. If the archive disk is properly sized, migration should occur about once every two weeks. Although the primary migration set is intended to stay in the library at all times, it can be removed from the library under special circumstances, such as:

  • The library is full, and there are no tape slots available for new tapes.

  • The primary migration set tape is damaged and needs to be replaced.

  • The primary migration set tape is marked as full, and its data has been expired.

You can view information pertaining to the primary migration set by selecting, from the console tree, Primary migration set under Tapes/Tape Sets for the server to which the tape library is connected. The details pane displays the following information for each tape:

Column Name | Description
Tape ID | Indicates the ID of the tape.
Library | The library ID. Typically, this value is 0, but it might be 1 if there are two libraries. The value could also be "<Not present>" if a tape is not in the library.
Tape Group ID | Indicated the ID of the tape group an account is assigned to (if any). The Tape Group is used to determine the migration tape for an account.
IsFull | Indicates whether the tape is marked as full.
Utilization | Indicates the amount of data that has already been written to the tape.
Capacity | Indicates the theoretical maximum amount of data in GB that can be written to the tape. Actual tape capacity will be slightly less. When the tape reaches or exceeds its capacity limits, it may become a candidate for compaction. You can also choose to remove it from the library for off-site storage.
Unexpired | The unexpired portion of current data on the tape. If the value is 0 and the tape is marked as full, the tape is recyclable.
Remaining | Shows the percentage of available tape space.

  • Notes

  • If any of the column names listed in the previous table do not appear in the details pane, right-click the details pane (not an item in the pane), point to View on the pop-up menu, and then click Choose Columns. You can then select the hidden columns in the Modify Columns window to display them in the details pane.

  • Though removing the primary tape set tapes from the library might provide a short-term solution to a problem, it can also cause the restore and migration operations to hang.


Secondary migration sets

The Data Center Management Console (DCMC) provides Secondary migration set views that enable you to monitor the tape rotation and help you to make decisions about moving tapes between the library and off-site storage.

While installing a Data Center with the Hierarchical Storage Manager (HSM), you can tell the setup program to create one or more copies of additional tape sets, referred to as secondary migration sets or secondary tape sets. The purpose of the secondary migration set is to create and maintain a valid copy of all backed-up data in restorable form so that, if a major data loss occurs at the Data Center itself, customers' data can still be recovered using the disaster recovery tools and procedures.

There are two kinds of secondary migration sets:

  • Tape sets that contain a complete copy of the archive sets and are intended for off-site storage

Depending on your organization's needs, you can instruct the setup program to create one or more off-site secondary tape sets. For maximum data protection, tapes in these tape sets are filled and removed from the library as often as possible. Once removed from the library, they should be stored in a safe location, preferably in a different building. Therefore, in the event of full system crash, the most recent customers' data can still be retrieved from the off-site secondary tape sets.

  • A tape set that includes only a SendOnce™ account backup and allows for efficient retrieval of customers' data, lost due to a bad tape or a disk failure

You can view information about the off-site secondary tape sets available on the server by selecting, from the console tree, Secondary migration set under Tapes/Tape Sets for the server to which the tape library is connected. The details pane displays the following information for each tape:

Column Name | Description
Tape ID | Indicates the ID of the tape.
Library | The library ID. Typically, this value is 0, but it might be 1 if there are two libraries. The value could also be "<Not present>" if a tape is not in the library.
Tape Group ID | Indicated the ID of the tape group an account is assigned to (if any). The Tape Group is used to determine the migration tape for an account.
IsFull | Indicates whether or not the tape is marked as full.
Utilization | Indicates the amount of data that has already been written to the tape.
Capacity | Indicates the theoretical maximum amount of data in GB that can be written to the tape. Actual tape capacity will be slightly less. When the tape reaches or exceeds its capacity limits, it may become a candidate for compaction. You can also choose to remove it from the library for off-site storage.
Unexpired | The unexpired portion of current data on the tape. If the value is 0 and the tape is marked as full, the tape is recyclable.
Remaining | Shows the percentage of available tape space.

  • Note

  • If any of the column names listed in the previous table do not appear in the details pane, right-click the details pane (not an item in the pane), point to View on the pop-up menu, and then click Choose Columns. You can then select the hidden columns in the Modify Columns window to display them in the details pane.


SendOnce

The Data Center Management Console (DCMC) provides Secondary Pool set view that enables you to view information about your SendOnce pool tape.

You can create only one copy of a SendOnce™ account tape set. It should always remain on-site and is especially helpful in a standalone Data Center configuration.

You can view information about the off-site secondary tape sets available on the server by selecting, from the console tree, Secondary Pool set under Tapes/Tape Sets for the server to which the tape library is connected. The details pane displays the following information for each tape:

Column Name | Description
Tape ID | Indicates the ID of the tape.
Library | The library ID. Typically, this value is 0, but it might be 1 if there are two libraries. The value could also be "<Not present>" if a tape is not in the library.
Tape Group ID | Indicated the ID of the tape group an account is assigned to (if any). The Tape Group is used to determine the migration tape for an account.
IsFull | Indicates whether or not the tape is marked as full.
Utilization | Indicates the amount of data that has already been written to the tape.
Capacity | Indicates the theoretical maximum amount of data in GB that can be written to the tape. Actual tape capacity will be slightly less. When the tape reaches or exceeds its capacity limits, it may become a candidate for compaction. You can also choose to remove it from the library for off-site storage.
Unexpired | The unexpired portion of current data on the tape. If the value is 0 and the tape is marked as full, the tape is recyclable.
Remaining | Shows the percentage of available tape space.

  • Note

  • If any of the column names listed in the previous table do not appear in the details pane, right-click the details pane (not an item in the pane), point to View on the pop-up menu, and then click Choose Columns. You can then select the hidden columns in the Modify Columns window to display them in the details pane.


Specifying tape request settings

To specify tape request settings

  1. In the console tree, right-click the server for which you want to set tape request settings, and then click Properties on the pop-up menu.

  2. In the properties window, click the HSM tab.

  3. Specify information for the HSM properties as needed in the Tape Request Settings section.

  4. Click OK.


Setting a tape drive online

To set a tape drive online

  1. In the console tree, click Drive Status under BackupHSM for the server on which the tape library is connected.

  2. In the details pane, right-click the drive you want to set online and then click Set Drive Online on the pop-up menu. If all tape drives in your HSM system are offline, then the BackupHSM service cannot start, and the tape drives therefore do not appear in the details pane. In this case you must use the following steps to set the drive online:

  1. In the console tree, right-click BackupHSM, and then click Properties on the pop-up menu.

  2. When the BackupHSM Properties window opens, click the HSM tab if it is not already selected.

  3. In the Tape Drive Online/Offline Settings section, select the drive that you want to set online.

  4. Click OK.


Setting a tape drive offline

To set a tape drive offline

  1. In the console tree, click Drive Status under BackupHSM for the server on which the tape library is connected.

  2. In the details pane, right-click the drive you want to set offline and then click Set Drive Offline on the pop-up menu.


Setting purge and migration properties

To set purge, suspend, and migration properties

  1. In the console tree, right-click the server for which you want to set purge, suspend, and migration properties, and then click Properties on the pop-up menu.

  2. In the properties window, click the HSM tab.

  3. Specify information for the HSM properties as needed in the Disk Space Management Settings section.

  4. Click OK.


Forcing a migration

To force a migration

  1. In the console tree, right-click BackupHSM under the server for which you want to force a migration, point to All Tasks on the pop-up menu, and then click Start Migration.

Alternatively, click Tape Sets under the server for which you want to force a migration, right-click the migration set in the details pane, and click Migrate this tape set on the pop-up menu.

  2. Wait until migration completes and check the Windows event log for any error messages or a message reporting that migration has completed successfully.


Initiating a reverse migration

To initiate a reverse migration

  1. In one of the tape set views, right-click the tape containing the data you want to reverse migrate and then click Reverse Migrate on the pop-up menu.

  2. When DataCopier starts, use the wizard to continue reverse migration.

  3. Note

  4. The reverse migrate function is not available if you are running DCMC on a non-Data Center computer.


Forcing a purge

To force a purge

  1. Start the HSM Disk Status utility, and verify that the amount of data on your server is greater than the purge start level. Forcing a purge does not work unless the data on your server is above this level.

  2. To maximize disk space, perform a migration first. Check the Windows event log frequently until you see events stating that migration is complete.

  3. In the console tree, right-click BackupHSM under the server for which you want to force a migration, point to All Tasks on the pop-up menu, and then click Start Purge.

  4. Wait until the purge completes and check the Windows event log for any errors.


Running the HSM Disk Status utility

To run the HSM Disk Status utility

  • In the console tree, right-click BackupHSM under the server for which you want to start the HSM Disk Status utility, point to All Tasks on the pop-up menu, and then click Launch HSMDiskStatus.

  • Note

  • The HSM Disk Status Utility is a separate Data Center utility that you can run to view the status of disk space on your server.


Running the HSM Library Status utility

To run the HSM Library Status utility

  • In the console tree, right-click BackupHSM under the server for which you want to start the HSM Library Status utility, point to All Tasks on the pop-up menu, and then click Launch HSMLibraryStatus.

  • Note

  • The HSM Library Status Utility is a separate Data Center utility that you can run to view the status of tapes in your tape library.


Compactor service

The Data Center Management Console (DCMC) provides a Compactor view that shows properties for the compaction service. These properties include information on:

  • Service status

  • Compaction status

  • Account information

You can view this information in the details pane by selecting Compactor from the console tree for the server on which the service is running.


Compaction properties

You can update compaction properties on the Compaction tab in the general properties window, which you can access through the console tree by right-clicking Compactor for the appropriate server and then clicking Properties on the pop-up menu. When you access this window and tab, you can edit general settings, load monitor settings, and HSM usage.

General settings

The Compaction tab contains a General Settings section, which contains the following property controls:

  • Amount of disk cache to use box. Type the number of megabytes (MB) of disk space that compaction can use on the server's disk to store archives that compaction is processing.

  • Minimum account age for compaction box. Type the number of days following the creation of an account at which compaction can operate on that account. Compaction does not operate on the account until the specified number of days after the creation date is reached.

  • Unmigrate tapes if resulting size is less than box. When compaction is finished for a tape, if the remaining unexpired data on that tape takes up less than the percentage you specify in this box, that data will be copied to another tape, thus freeing up the first tape for re-use.

  • # Threads box. Type the number of simultaneous threads that compaction should use while processing. Type 0 (zero) in this box to allow compaction to dynamically determine how many threads are needed.

  • Pool Shred Interval box. Type how frequently (in days) the SendOnce pool should be cleared of expired data.

Load monitor settings

The Compaction tab contains a Load Monitor Settings section, which contains the following property controls:

  • Check server load every box. Type how frequently (in minutes) compaction should check how busy the server is.

  • Pause compaction if server session count is higher than box. Type the number of user sessions the server can process at which compaction will pause its operation.

  • Minimum elapsed time between compaction runs box. Type the number of hours that compaction should wait between starting one run and starting the next.

HSM usage

The Compaction tab contains an HSM Usage section, which contains the following property controls:

  • HSM Priority box. Type or select the priority level at which you want compaction to run. Other processes with a higher priority level may preempt compaction if necessary.

  • HSM Resource Usage box. Type the percentage of resources (tape drives) that you want compaction to use. Whenever a compaction request is sent to the HSM, compaction will be given control of a number of tape drives based on this value.

  • Use Idle Drives check box. Select this checkbox box to allow compaction to make use of tape drives in the library that are idle. These tape drives are in addition to the assignment of tape drives to compaction based on the value you set for HSM Resource Usage.

  • Notes

  • When the server is processing an unusually high number of user operations (for example, backups and retrievals), compaction might pause its process until the server has less activity.

  • Compaction makes use of HSM resources and tape drives for compaction processing. Other processes may be using HSM resources as well. The HSM usage settings govern compaction's use of HSM resources in cooperation with other processes.


Compaction startup parameters

You can set compaction so that it runs only on specific tapes, groups, or accounts. Doing so overrides compaction's normal selection methods. You specify these compaction parameters on the Compaction Startup Parameters tab in the Data Centers window, which you can access through the console tree by right-clicking Compactor for the appropriate server, clicking All Tasks on the pop-up menu, and then clicking Start Service with Parameters.

When you access this window and tab, you can specify the parameters for starting compaction by selecting either of the following options:.

  • Process specific tapes, groups, or accounts option. When you select this option, you can specify any of the following components for which you want to run compaction:

  • Accounts. Select this checkbox to run compaction for a specific account and then type the account number in the accompanying text box. You can specify multiple accounts by separating each account number with a comma.

  • Tape Account Groups. Select this checkbox to run compaction for a specific tape account group and then type the tape account group ID in the accompanying text box.

  • Tapes. Select this checkbox to run compaction for a specific tape and then type the tape ID in the accompanying text box. You can specify multiple tapes by separating each type ID with a comma.

  • Process previous accounts only option. Select this option to force compaction to finish processing accounts that it has already selected. Compaction then skips the "selecting new accounts to process" phase. This selection is useful when a previous compaction run was aborted due to errors or machine crashes, leaving some accounts "orphaned" in the compaction tables.

  • Note

  • When you start compaction with parameters, it will stop once it has finished processing. You must then manually restart the Compactor service without parameters to resume normal operation.


File expiration properties

You can update file expiration settings on the Expiration tab in the general properties window, which you can access through the console tree by right-clicking BackupServer for the appropriate server and then clicking Properties on the pop-up menu.

The Expiration tab contains a File Expiration Settings section, which contains the following self-explanatory property controls in which you can specify file expiration settings:

  • Specify the number of days after a backup account is cancelled until its backed up data is deleted box.

  • Specify the number of days that a file should be retained after it has been deleted from the PC that backed it up box.

  • Old versions of files can be deleted if they are more than this many days old box. You can also set this restriction so that files are deleted if there are a specified number of newer versions of the file. For this feature, use the following box:

  • Or if there are this many newer versions box.

  • Specify the number of days to keep files in the SendOnce pool if unreferenced box.


Specifying compaction settings

To specify compaction settings

  1. In the console tree, right-click the server for which you want to specify compaction settings, and then click Properties on the pop-up menu.

  2. In the properties window, click the Compaction tab.

  3. Specify information for the compaction properties as needed in the General Settings section.

  4. Click OK.


Starting compaction for specific tapes or accounts

To start compaction for a specific tape or account

  1. In the console tree, right-click the server for which you want to start compaction, click All Tasks on the pop-up menu, and then click Start Service with Parameters.

  2. On the Compaction Startup Properties tab in the Data Centers window, make the appropriate compaction startup parameters for the specific tape or account on which you would like to work.

  3. Click OK.


Specifying load monitor settings

To specify load monitor settings

  1. In the console tree, right-click the server for which you want to specify compaction settings, and then click Properties on the pop-up menu.

  2. In the properties window, click the Compaction tab.

  3. Specify information for the compaction properties as needed in the Load Monitor Settings section.

  4. Click OK.


Setting HSM usage

To set HSM usage

  1. In the console tree, right-click the server for which you want to specify compaction settings, and then click Properties on the pop-up menu.

  2. In the properties window, click the Compaction tab.

  3. Specify information for the compaction properties as needed in the HSM Usage section.

  4. Click OK.


Starting a service

To start a service

  • Right-click the service in the console tree, and then click Start Service on the pop-up menu.

  • Alternatively, you can select the service in the console tree and then click the [image] button on the Data Center Management Console (DCMC) toolbar.

Notes

  • You can also start all services for a server at the same time.

  • For the Compactor service, you can specify a specific tape or account.


Starting all services

To start all services

  • In the console tree, right-click the server for which the services apply, point to All Tasks on the pop-up menu, and then click Start all services.

  • Alternatively, you can select the server in the console tree and then click the [image] button on the Data Center Management Console (DCMC) toolbar.

  • Note

  • If Start all services does not appear under All Tasks on the pop-up menu (or if the toolbar button is not active), then all services for the selected server are already running.


Pausing a service

To pause a service

  • Right-click the service in the console tree, and then click Pause Service on the pop-up menu.

  • Alternatively, you can select the service in the console tree and then click the [image] button on the Data Center Management Console (DCMC) toolbar.


Stopping a service

To stop a service

  • Right-click the service in the console tree, and then click Stop Service on the pop-up menu.

  • Alternatively, you can select the service in the console tree and then click the [image] button on the Data Center Management Console (DCMC) toolbar.

  • Note

  • You can also stop all services for a server at the same time.


Stopping all services

To stop all services

  • In the console tree, right-click the server for which the services apply, point to All Tasks on the pop-up menu, and then click Stop all services.

  • Alternatively, you can select the server in the console tree and then click the [image] button on the Data Center Management Console (DCMC) toolbar.

  • Note

  • If Stop all services does not appear under All Tasks on the pop-up menu (or if the toolbar button is not active), then none of services for the selected server are running.


Rereading the Windows registry

To reread the Windows registry

  • In the console tree, right-click a service on the server for which you want to reread the registry, point to All Tasks on the pop-up menu, and then click Re-read Registry.

  • Note

  • The registry is automatically reread for changes made within the Data Center Management Console (DCMC). You only have to manually reread the registry for changes made outside of the DCMC.


Events and event logs

The Data Center Management Console (DCMC) provides access to the following event logs:

  • Application

  • DCMaint

  • System

These logs are the same logs that you can view with the Microsoft Event Viewer. The DCMC simply provides easy access to them while you're working with other DCMC functions.

By default, the DCMC shows only the events logged over the past 24 hours. You can also view all events by following the procedure for checking the event logs.

You can also access the Microsoft Event Viewer from within the DCMC.


Checking event logs

To check event logs

  1. Under Events in the console tree, click the type of log (Application, DCMaint, or System) you want to view.

  2. View the list of events for the selected log in the details pane. By default, the DCMC shows only the events logged over the past 24 hours.

  3. If you are viewing only events from the past 24 hours and want to view all events, right-click the currently selected log in the console tree, click View on the pop-up menu, and then click All Events.

  4. If you are viewing all events and want to view only events from the past 24 hours, right-click the currently selected log in the console tree, click View on the pop-up menu, and then click One Day Events.

  5. If you want to read the details for a specific event, double-click that event in the details pane.


Starting the Microsoft Event Viewer

To start the Microsoft Event Viewer

  • Right-click Events in the console tree, and then click Start Event Viewer on the pop-up menu.


Logging server status

To log server status

  • Right-click BackupServer or BackupHSM under the appropriate Data Center server in the console tree, point to All Tasks on the pop-up menu, and then click Log Server Status.

  • Note

  • After you run this procedure you can view the results in the event logs.


Logging session statuses

To log session statuses

  • Right-click BackupServer under the appropriate Data Center server in the console tree, point to All Tasks on the pop-up menu, and then click Log Session Statuses.

  • Note

  • After you run this procedure you can view the results in the event logs.


Logging queue status

To log queue status

  • Right-click BackupHSM under the appropriate Data Center server in the console tree, point to All Tasks on the pop-up menu, and then click Log Queue Status.

  • Note

  • After you run this procedure you can view the results in the event logs.